package com.org.hktshop.entity.hotking;

import com.org.hktshop.base.BaseModel;
import lombok.Data;

import java.util.Set;

/**
 * @author hotking03
 */
@Data
public class SampleGoodsAttrQuery extends BaseModel {

    private String name;

    private String parentId;

    private String categoryId;

    private String languageId;

    private Set<String> attrs;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getLanguageId() {
        return languageId;
    }

    public void setLanguageId(String languageId) {
        this.languageId = languageId;
    }

    public Set<String> getAttrs() {
        return attrs;
    }

    public void setAttrs(Set<String> attrs) {
        this.attrs = attrs;
    }
}